BEGIN
  DBMS_NETWORK_ACL_ADMIN.DROP_ACL (acl => 'totally_insecure.xml');
  DBMS_NETWORK_ACL_ADMIN.CREATE_ACL (
    acl          => 'totally_insecure.xml', 
    description  => 'Open all hosts to all users',
    principal    => 'PUBLIC',
    is_grant     => TRUE, 
    privilege    => 'connect'); 
END;
/

BEGIN
  DBMS_NETWORK_ACL_ADMIN.ASSIGN_ACL (
    acl         => 'totally_insecure.xml',
    host        => '*');
END;
/
